package com.realnet.pointtable.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.pointtable.Entity.Pointtable;
import com.realnet.pointtable.Services.PointtableService ;












@RequestMapping(value = "/token/Pointtable")
 @CrossOrigin("*") 
@RestController
public class tokenFree_PointtableController {
	@Autowired
	private PointtableService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Pointtable")
		  public Pointtable Savedata(@RequestBody Pointtable data) {
		Pointtable save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Pointtable/{id}")
	public  Pointtable update(@RequestBody Pointtable data,@PathVariable Integer id ) {
		Pointtable update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Pointtable/getall/page")
	public Page<Pointtable> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Pointtable> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Pointtable")
	public List<Pointtable> getdetails() {
		 List<Pointtable> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Pointtable")
	public List<Pointtable> getallwioutsec() {
		 List<Pointtable> get = Service.getdetails();		
		return get;
}
@GetMapping("/Pointtable/{id}")
	public  Pointtable  getdetailsbyId(@PathVariable Integer id ) {
		Pointtable  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Pointtable/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}